1

I'm attempting to upgrade my Craftsite from 2 to 3, which I have done so, however I seem to be getting a few deprecation errors.

The first error is:

The auto-generated validation key stored at /Users/User/My-Site/craft/storage/runtime/validation.key has been deprecated. Copy its value to the “securityKey” config setting in config/general.php.

To which I assumed I should just add 'securityKey' => 'xxxxxx', but the error hasn't gone.

The second error is:

The environmentVariables config setting has been renamed to aliases.

Which to be honest im not sure how to fix.

Any suggestions?

2

Those aren't so much errors as deprecation messages, meaning you should fix them sometime before Craft 4 comes out where they'll be going away and become real errors for you. :)

To which I assumed I should just add 'securityKey' => 'xxxxxx', but the error hasn't gone.

They won't go away automatically. Go to yoursite.com/admin/utilities/deprecation-errors, then you can click the "x" for the message on the far right to clear it. It won't come back again if it has been fixed.

The environmentVariables config setting has been renamed to aliases.

You'll want to convert your old environmentVariable to use the new aliases syntax. You can see examples of that here:

https://docs.craftcms.com/v3/configuration.html#aliases

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.